Changed some of the tests around, made failures for parts actualy count
authorAndrew Bartlett <abartlet@samba.org>
Wed, 27 Jun 2001 00:32:52 +0000 (00:32 +0000)
committerAndrew Bartlett <abartlet@samba.org>
Wed, 27 Jun 2001 00:32:52 +0000 (00:32 +0000)
Andrew Bartlett
(This used to be commit 56a881b2b4957912055fdf053ef37ca2ea3606b8)

testsuite/build_farm/basicsmb-listfilesauth.test [new file with mode: 0644]
testsuite/build_farm/basicsmb-listfilesnpw.test [new file with mode: 0644]
testsuite/build_farm/basicsmb-sharelist.test [new file with mode: 0644]
testsuite/build_farm/basicsmb.smb.conf.template
testsuite/build_farm/basicsmb.test [deleted file]
testsuite/build_farm/runlist

diff --git a/testsuite/build_farm/basicsmb-listfilesauth.test b/testsuite/build_farm/basicsmb-listfilesauth.test
new file mode 100644 (file)
index 0000000..4ec72fd
--- /dev/null
@@ -0,0 +1,22 @@
+. basicsmb.fns
+
+test_listfilesauth() {
+       echo $prefix/bin/smbclient //localhost/samba -U$whoami%$password -c 'ls'
+       $prefix/bin/smbclient //localhost/samba -U$whoami%$password -c 'ls'
+       status=$?
+       if [ $status = 0 ]; then
+               echo "listed files OK"
+       else 
+               echo "listing files with smbd failed with status $status"
+               return 1
+       fi
+       return 0
+}
+
+password=samba
+
+(test_smb_conf_setup && test_smbpasswd) || exit 1
+
+test_listfilesauth || exit 1
+
+
diff --git a/testsuite/build_farm/basicsmb-listfilesnpw.test b/testsuite/build_farm/basicsmb-listfilesnpw.test
new file mode 100644 (file)
index 0000000..a470b29
--- /dev/null
@@ -0,0 +1,22 @@
+. basicsmb.fns
+
+test_listfilesnpw() {
+       echo $prefix/bin/smbclient //localhost/samba -U$whoami% -c 'ls'
+       $prefix/bin/smbclient //localhost/samba -U$whoami% -c 'ls'
+       status=$?
+       if [ $status = 0 ]; then
+               echo "smbd listed files in user level security with NO PASSWORD!"
+               return 1
+       else 
+               echo "listing files with smbd failed with status $status (correct)"
+       fi
+       return 0
+}
+
+password=samba
+
+(test_smb_conf_setup && test_smbpasswd) || exit 1
+
+test_listfilesnpw || exit 1
+
+
diff --git a/testsuite/build_farm/basicsmb-sharelist.test b/testsuite/build_farm/basicsmb-sharelist.test
new file mode 100644 (file)
index 0000000..87c3e47
--- /dev/null
@@ -0,0 +1,19 @@
+. basicsmb.fns
+test_sharelist() {
+       echo $prefix/bin/smbclient -U$whoami% -L localhost
+       $prefix/bin/smbclient -U$whoami% -L localhost
+       status=$?
+       if [ $status = 0 ]; then
+               echo "smbd listed shares OK"
+       else
+               echo "listing shares with smbd failed with status $status"
+               return 1
+       fi
+       return 0
+}
+
+(test_smb_conf_setup) || exit 1
+
+test_sharelist || exit 1
+
+
index 3f33973eb9dc2dee5e2c23cf6fb31f47e86a3d09..627b019f3a088af24649564e0afd47b36538aa83 100644 (file)
@@ -3,6 +3,7 @@
     log level = 3
     encrypt passwords = yes
     server string = Samba %v Build Farm Tests
+    name resolve order = lmhosts
 
 [test]
     path = PREFIX/testdir
diff --git a/testsuite/build_farm/basicsmb.test b/testsuite/build_farm/basicsmb.test
deleted file mode 100644 (file)
index 27808a4..0000000
+++ /dev/null
@@ -1,57 +0,0 @@
-test_smb_conf_setup() {
-       cat basicsmb.smb.conf.template | sed "s|PREFIX|$prefix|g" | sed "s|BUILD_FARM|$pwd|g" > $prefix/lib/smb.conf
-       echo "Setting up smb.conf:"
-       cat $prefix/lib/smb.conf
-
-}
-
-test_smbpasswd() {
-       ( echo $password ; echo $password; ) | $prefix/bin/smbpasswd -L -s -a $whoami
-       status=$?
-       if [ $status = 0 ]; then
-           echo "smbpasswd correctly set inital password ($password)"
-       else
-           echo "smbpasswd failed to set inital password ($password)!"
-           return 1
-       fi
-       return 0
-}
-
-test_sharelist() {
-       if $prefix/bin/smbclient -U$whoami% -L $host; then
-               echo "smbd listed shares OK"
-       else
-               echo "listing shares with smbd failed with $?"
-               return 1
-       fi
-       return 0
-}
-
-test_listfiles() {
-       if $prefix/bin/smbclient //$host/samba -U$whoami% -c 'ls'; then
-               echo "listed files OK"
-       else 
-               echo "listing files with smbd failed with $?"
-               return 1
-       fi
-       return 0
-}
-
-test_listfilesauth() {
-       if $prefix/bin/smbclient //$host/samba_2_2 -U$whoami%$password -c 'ls'; then
-               echo "listed files OK"
-       else 
-               echo "listing files with smbd failed with $?"
-               return 1
-       fi
-       return 0
-}
-
-
-(test_smb_conf_setup && test_smbpasswd) || exit 1
-
-test_sharelist
-test_listfiles
-test_listfilesauth
-
-
index 5e9fe381ef28e9ee7839fb359519352576c1b342..6a247e7565fea62b25e72188cf2afa0c52763ce2 100644 (file)
@@ -1 +1 @@
-TEST_ALL="basicsmb"
+TEST_ALL="basicsmb-sharelist basicsmb-listfilesauth basicsmb-listfilesnpw"